JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
await box.app.backupAll({
path: "/home/user/backup.ab"
});
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Backup all Android packages
box.app.backup_all(path="/home/user/backup.ab")
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/android/packages/backup-all \
--header 'Authorization: Bearer <token>'"<string>"Backup all
POST
/
boxes
/
{boxId}
/
android
/
packages
/
backup-all
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
await box.app.backupAll({
path: "/home/user/backup.ab"
});
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Backup all Android packages
box.app.backup_all(path="/home/user/backup.ab")
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/android/packages/backup-all \
--header 'Authorization: Bearer <token>'"<string>"Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Android app package name
Example:
"com.example.myapp"
Response
201 - application/octet-stream
Android all pkg backup file
The response is of type file.
Was this page helpful?